package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.synctask.*;

public class SyncTranForMJFacade extends AbstractBizCtrl implements ISyncTranForMJFacade
{
    public SyncTranForMJFacade()
    {
        super();
        registerInterface(ISyncTranForMJFacade.class, this);
    }
    public SyncTranForMJFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncTranForMJFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("135AEBA4");
    }
    private SyncTranForMJFacadeController getController() throws BOSException
    {
        return (SyncTranForMJFacadeController)getBizController();
    }
    /**
     *打卡记录同步-User defined method
     *@param beginDate 同步开始日期
     *@param endDate 同步结束日期
     */
    public void syncPunchRecordFromMJ(String beginDate, String endDate) throws BOSException
    {
        try {
            getController().syncPunchRecordFromMJ(getContext(), beginDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步门禁打卡记录-User defined method
     *@param startDate 开始时间
     *@param endDate 结束时间
     */
    public void syncAccessRecord(String startDate, String endDate) throws BOSException
    {
        try {
            getController().syncAccessRecord(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}